Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 497068 - dev-perl/MediaWiki-API and dev-perl/HTML-Tree keyword request for dev-vcs/git[mediawiki]
Summary: dev-perl/MediaWiki-API and dev-perl/HTML-Tree keyword request for dev-vcs/git...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks:
 
Reported: 2014-01-04 23:15 UTC by Andreas K. Hüttel
Modified: 2014-12-07 16:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2014-01-04 23:15:37 UTC
Dear arch teams, 

dev-perl/MediaWiki-API and dev-perl/HTML-Tree are new runtime dependencies of dev-vcs/git[mediawiki]. For now the useflag is masked until all dependencies are keyworded.

Please *either* keyword

dev-perl/MediaWiki-API
dev-perl/HTML-Tree
and their dependencies as needed (lots of perl)

~alpha ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris

*or* 

package.use.mask in your arch profile
dev-vcs/git mediawiki

Thank you!
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2014-01-05 10:39:36 UTC
There are many perl packages that lack ~mips so I masked the useflag on MIPS for now.
Comment 2 Jeroen Roovers gentoo-dev 2014-01-06 14:12:37 UTC
Marked ~hppa.
Comment 3 Naohiro Aota gentoo-dev 2014-01-06 15:16:05 UTC
Added x86-fbsd
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-01-11 15:26:16 UTC
USE flag masked on sh and s390.
Comment 5 Akinori Hattori gentoo-dev 2014-01-27 13:52:13 UTC
ia64 done
Comment 6 Markus Meier gentoo-dev 2014-01-30 23:17:48 UTC
~arm added
Comment 7 Tobias Klausmann gentoo-dev 2014-07-04 14:51:45 UTC
Keyworded these on alpha:

dev-perl/MediaWiki-API-0.390.0
dev-perl/HTML-Tree-5.30.0
dev-perl/DateTime-Format-ISO8601-0.80.0
dev-perl/DateTime-Format-Builder-0.810.0
dev-perl/File-Find-Rule-0.330.0
dev-perl/Test-Distribution-2.0.0
dev-perl/DateTime-Format-Strptime-1.540.0
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2014-08-19 11:19:47 UTC
~sparc done
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-11-29 13:08:40 UTC
Masked on prefix.
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-11-29 13:33:16 UTC
~ppc done
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-11-29 20:44:43 UTC
~ppc64 done
Comment 12 Patrick Lauer gentoo-dev 2014-11-30 01:46:17 UTC
  dependency.bad                7
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome/systemd) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/kde) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/kde/systemd) ['dev-perl/DateTime-Format-ISO8601']
   dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND: ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/developer) ['dev-perl/DateTime-Format-ISO8601']


ppc64 not done.
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-11-30 08:42:57 UTC
(In reply to Patrick Lauer from comment #12)
>   dependency.bad                7
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland)
> ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop)
> ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome)
> ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/gnome/
> systemd) ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/kde)
> ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop/kde/systemd)
> ['dev-perl/DateTime-Format-ISO8601']
>    dev-perl/MediaWiki-API/MediaWiki-API-0.390.0.ebuild: RDEPEND:
> ~ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/developer)
> ['dev-perl/DateTime-Format-ISO8601']
> 
> 
> ppc64 not done.

misscommiting here, fixed.
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-12-07 16:30:08 UTC
Masked on amd64-fbsd for now. Closed.